from tgtg import TgtgClient
import json
  
def main():
    file = open('config.json')
    config = json.load(file)

    try:
        client = TgtgClient(access_token=config.get("access_token"), refresh_token=config.get("refresh_token"), user_id=config.get("user_id"), cookie=config.get("cookie"))
        client.get_credentials()
    except:
        client = TgtgClient(email=config.get("email"))
    credentials = client.get_credentials()
    config.update(credentials)
    with open("config.json", "w") as outfile:
        json.dump(config, outfile)
    favorites = client.get_favorites()
    for favorite in favorites:
        if (favorite.get("items_available") > 0):
            print(favorite.get("display_name"), favorite.get("items_available"), "\n")
if (__name__ == "__main__"):
    main()
